package fdmscharts.TestGraph;

import java.awt.event.ItemEvent;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.StringTokenizer;
import java.util.Vector;

import com.steema.teechart.DateTime;
import com.steema.teechart.axis.Axis;
import com.steema.teechart.drawing.Color;
import com.steema.teechart.styles.Area;
import com.steema.teechart.styles.CustomStack;
import com.steema.teechart.styles.Series;
import com.steema.teechart.styles.VerticalAxis;
import com.steema.teechart.styles.Line;
import com.steema.teechart.styles.SeriesPointer;
import com.steema.teechart.styles.CustomStack;
import com.steema.teechart.styles.Line;
import com.steema.teechart.styles.PointerStyle;
import com.steema.teechart.styles.SeriesPointer;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionAdapter;
import javax.swing.Box;
import javax.swing.JCheckBox;
import javax.swing.JLabel;
import javax.swing.JPanel;

import com.steema.teechart.styles.Bar;
import com.steema.teechart.styles.MultiBars;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.Box;
import javax.swing.ButtonGroup;
import javax.swing.JPanel;
import javax.swing.JRadioButton;


public class TestGraph extends TChartPanel {

	
	private Line lineSeries;
	private Line lineSeries1;
	private SeriesPointer tmpPointer;

	
	
	public TestGraph() {
		try {
			chart1.getHeader().setText("Test Graph");

			chart1.getAxes().getBottom().getLabels().setDateTimeFormat("dd-mm-yyyy hh:mm:ss");
			
			lineSeries = new com.steema.teechart.styles.Line(chart1.getChart());
			lineSeries.setClickableLine(false);
			tmpPointer = lineSeries.getPointer();
			tmpPointer.setInflateMargins(true);
			tmpPointer.setStyle(PointerStyle.TRIANGLE);
			tmpPointer.setVisible(true);
			lineSeries.setTitle("Credit");
			//lineSeries.add(getDateTime(l_strTransDateTime), l_dblAmount);
			
			lineSeries.add(getDateTime("01-01-2009 01:01:01"), 1000);
			lineSeries.add(getDateTime("02-01-2009 01:03:01"), 900);
			lineSeries.add(getDateTime("04-01-2009 01:04:01"), 800);
			lineSeries.add(getDateTime("07-01-2009 01:06:01"), 1100);
			
		
			lineSeries = new com.steema.teechart.styles.Line(chart1.getChart());
			lineSeries.setClickableLine(false);
			tmpPointer = lineSeries.getPointer();
			tmpPointer.setInflateMargins(true);
			tmpPointer.setStyle(PointerStyle.TRIANGLE);
			tmpPointer.setVisible(true);
			lineSeries.setTitle("Debit");
			//lineSeries.fillSampleValues(8);
			//lineSeries.add(getDateTime(l_strTransDateTime), -1*l_dblAmount);
			
			lineSeries.add(getDateTime("01-01-2009 01:01:01"), -600);
			lineSeries.add(getDateTime("01-01-2009 01:03:01"), -800);
			lineSeries.add(getDateTime("02-01-2009 01:04:01"), -700);
			lineSeries.add(getDateTime("02-01-2009 01:06:01"), -100);
			lineSeries.add(getDateTime("02-01-2009 01:08:01"), -400);
			lineSeries.add(getDateTime("03-01-2009 01:10:01"), -700);
			lineSeries.add(getDateTime("04-01-2009 01:12:01"), -300);
			lineSeries.add(getDateTime("05-01-2009 01:16:01"), -900);
			lineSeries.add(getDateTime("06-01-2009 01:18:01"), -200);
			lineSeries.add(getDateTime("07-01-2009 01:19:01"), -600);
			
		} catch (Exception e) { e.printStackTrace();}	
	}
	
	
	
	public DateTime getDateTime(String l_strDateTime){
		
	Calendar calObj =  Calendar.getInstance();
	StringTokenizer l_strDateTokenizer1 = new StringTokenizer(l_strDateTime," ");
	String l_strDate = null;
	String l_strTime = null;
	while(l_strDateTokenizer1.hasMoreTokens()) {
		l_strDate = l_strDateTokenizer1.nextToken();
		l_strTime = l_strDateTokenizer1.nextToken();
	}
	StringTokenizer l_strDateTokenizer2 = new StringTokenizer(l_strDate,"-");
	int l_intDay = 0, l_intMonth = 0, l_intYear = 0;
	while(l_strDateTokenizer2.hasMoreTokens()) {
		l_intDay = Integer.parseInt(l_strDateTokenizer2.nextToken());
		l_intMonth = Integer.parseInt(l_strDateTokenizer2.nextToken());
		l_intYear = Integer.parseInt(l_strDateTokenizer2.nextToken());
	}
	StringTokenizer l_strDateTokenizer3 = new StringTokenizer(l_strTime,":");
	int l_intHour = 0, l_intMinute = 0, l_intSecond = 0;
	while(l_strDateTokenizer2.hasMoreTokens()) {
		l_intHour = Integer.parseInt(l_strDateTokenizer3.nextToken());
		l_intMinute =Integer.parseInt(l_strDateTokenizer3.nextToken());
		l_intSecond = Integer.parseInt(l_strDateTokenizer3.nextToken());
	}
	calObj.set(l_intYear, l_intMonth, l_intDay, l_intMinute, l_intSecond);
	
	return new DateTime(calObj.getTimeInMillis());
	}
}